
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * VO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class TakeStockVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "盘点id")
    private Long takeStockId;

    @Schema(description = "盘点单号")
    private String takeStockNo;

    @Schema(description = "盘点状态 0已作废 1盘点中 2已完成")
    private Integer billStatus;

    @Schema(description = "制单人")
    private Long maker;

    @Schema(description = "盘点区域名称")
    private String stockRegionName;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "制单人手机号")
    private String makerMobile;

    @Schema(description = "sku数量")
    private Integer skuCount;

    @Schema(description = "制单人名称")
    private String makerName;

    @Schema(description = "仓库id")
    private Long warehouseId;

    @Schema(description = "仓库名称")
    private String warehouseName;

    @Schema(description = "库存点类型(1:仓库, 2:门店)")
    private Integer stockPointType;

    @Schema(description = "实物盘点商品列表")
    private List<TakeStockSpuVO> takeStockSpuVOList;

    public Long getTakeStockId() {
        return takeStockId;
    }

    public void setTakeStockId(Long takeStockId) {
        this.takeStockId = takeStockId;
    }

    public String getTakeStockNo() {
        return takeStockNo;
    }

    public void setTakeStockNo(String takeStockNo) {
        this.takeStockNo = takeStockNo;
    }

    public Integer getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(Integer billStatus) {
        this.billStatus = billStatus;
    }

    public Long getMaker() {
        return maker;
    }

    public void setMaker(Long maker) {
        this.maker = maker;
    }

    public String getStockRegionName() {
        return stockRegionName;
    }

    public void setStockRegionName(String stockRegionName) {
        this.stockRegionName = stockRegionName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getMakerMobile() {
        return makerMobile;
    }

    public void setMakerMobile(String makerMobile) {
        this.makerMobile = makerMobile;
    }

    public Integer getSkuCount() {
        return skuCount;
    }

    public void setSkuCount(Integer skuCount) {
        this.skuCount = skuCount;
    }

    public String getMakerName() {
        return makerName;
    }

    public void setMakerName(String makerName) {
        this.makerName = makerName;
    }

    public List<TakeStockSpuVO> getTakeStockSpuVOList() {
        return takeStockSpuVOList;
    }

    public void setTakeStockSpuVOList(List<TakeStockSpuVO> takeStockSpuVOList) {
        this.takeStockSpuVOList = takeStockSpuVOList;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public Integer getStockPointType() {
        return stockPointType;
    }

    public void setStockPointType(Integer stockPointType) {
        this.stockPointType = stockPointType;
    }

    @Override
    public String toString() {
        return "TakeStockVO{" +
                "takeStockId=" + takeStockId +
                ", takeStockNo='" + takeStockNo + '\'' +
                ", billStatus=" + billStatus +
                ", maker=" + maker +
                ", stockRegionName='" + stockRegionName + '\'' +
                ", remark='" + remark + '\'' +
                ", shopId=" + shopId +
                ", makerMobile='" + makerMobile + '\'' +
                ", skuCount=" + skuCount +
                ", makerName='" + makerName + '\'' +
                ", warehouseId=" + warehouseId +
                ", warehouseName='" + warehouseName + '\'' +
                ", stockPointType=" + stockPointType +
                ", takeStockSpuVOList=" + takeStockSpuVOList +
                '}';
    }
}
